<?php

namespace Mibazarow\Bxstore\Controller\Web;

use Bitrix\Main\Engine\Controller;
use Bitrix\Main\Engine\Response\Render\View;

/**
 * Контроллер статичных страниц.
 */
class PageController extends Controller
{
    protected function getDefaultPreFilters(): array
    {
        return [];
    }

    /**
     * Главная страница "О компании".
     * Маршрут: /about/
     */
    public function aboutAction(): View
    {
        global $APPLICATION;
        $APPLICATION->SetTitle('О компании');

        return $this->renderView('page/about', [
            'title' => 'О компании',
        ]);
    }

    /**
     * Правила использования.
     * Маршрут: /about/legal/
     */
    public function legalAction(): View
    {
        global $APPLICATION;
        $APPLICATION->SetTitle('Правила использования и размещения объявлений');

        return $this->renderView('page/legal', [
            'title' => 'Правила использования и размещения объявлений',
        ]);
    }

    /**
     * Политика конфиденциальности.
     * Маршрут: /about/policy/
     */
    public function policyAction(): View
    {
        global $APPLICATION;
        $APPLICATION->SetTitle('Политика конфиденциальности и обработки пользовательских данных');

        return $this->renderView('page/policy', [
            'title' => 'Политика конфиденциальности и обработки пользовательских данных',
        ]);
    }

    /**
     * Пользовательское соглашение.
     * Маршрут: /about/rules/
     */
    public function rulesAction(): View
    {
        global $APPLICATION;
        $APPLICATION->SetTitle('Пользовательское соглашение и отказ от ответственности');

        return $this->renderView('page/rules', [
            'title' => 'Пользовательское соглашение и отказ от ответственности',
        ]);
    }
}
